cURL
curl --request GET \
--url https://api.connect.fastenhealth.com/v1/bridge/connectimport requests
url = "https://api.connect.fastenhealth.com/v1/bridge/connect"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.connect.fastenhealth.com/v1/bridge/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connect.fastenhealth.com/v1/bridge/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connect.fastenhealth.com/v1/bridge/connect"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.connect.fastenhealth.com/v1/bridge/connect")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connect.fastenhealth.com/v1/bridge/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyPatient Registration
Initiate Connection
This endpoint will generate a state value and redirect the user to their healthcare provider Patient Portal to authenticate with the healthcare provider’s EHR.
On completion, Fasten Connect will redirect the user back to your redirect_uri with an org_connection_id and endpoint_id query parameter.
If an error occurred during the authentication process, Fasten Connect will redirect the user back with an error and error_description query parameter.
If you have configured more than one Redirect URL in the Fasten Connect Portal, you MUST include the redirect_uri query parameter in the request.
This is done automatically by the Stitch SDK widget.
GET
/
bridge
/
connect
cURL
curl --request GET \
--url https://api.connect.fastenhealth.com/v1/bridge/connectimport requests
url = "https://api.connect.fastenhealth.com/v1/bridge/connect"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.connect.fastenhealth.com/v1/bridge/connect', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.connect.fastenhealth.com/v1/bridge/connect",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.connect.fastenhealth.com/v1/bridge/connect"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.connect.fastenhealth.com/v1/bridge/connect")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.connect.fastenhealth.com/v1/bridge/connect")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyIn
test mode, you can use the following credentials to test the Fasten Stitch component:
Test Credentials
Test Credentials
| Source | Credentials / Sandbox Status | Link |
|---|---|---|
| FooClinic (Official Sandbox) | Username: annegoodwin@fooclinic.com Password: f00clinic | test patient personas |
| AdvancedMD | Username: fhirtest.john@gmail.com Password: Fhirtest123! Office Key: 991900 | test accounts |
| Aetna | Username: VTETestUser01 Password: FHIRdemo2020 | test accounts |
| AllScripts | Username: Password: | |
| Anthem | Username: HOSPatient Password: HOSPatient2023 | |
| AthenaHealth | Username: phrtest_preview@mailinator.com Password: Password1 | test accounts |
| CareEvolution | Username: CEPatient Password: CEPatient2018 | test accounts |
| Cerner | Username: nancysmart Password: Cerner01 | test accounts |
| Cigna | Username: syntheticuser05 Password: 5ynthU5er5 | test accounts |
| DynamicHealthIT | Username: Password: | |
| eClinicalWorks/Healow | Username: AdultFemaleFHIR Password: e@CWFHIR1 | test accounts |
| Epic | Username: fhircamila Password: epicepic1 | test accounts |
| Flatiron/OncoEMR | Username: Password: | |
| HealthIT | Username: demouser Password: Demouser1! | test accounts |
| Humana | Username: HUser00001 Password: PW00001! | |
| Kaiser | Username: Pvaluser1 Password: V@lidation1 | |
| Logica | Username: Password: | |
| MaximEyes | Username: Password: | |
| Medhost | Username: Password: | |
| Medicare | Username: BBUser10000 Password: PW10000! | test accounts |
| Meditech | Username: Password: | |
| Netsmart | Username: Password: | |
| NextGen | Username: patientapitest Password: Password1! | test accounts |
| PracticeFusion/PatientFusion | Username: Password: | |
| VA Health | Provider: ID.me Username: va.api.user+101-2024@gmail.com Password: Password12345!!! | test accounts |
Query Parameters
Response
302
Redirect

